Public Attributes | List of all members
_spi_init Struct Reference
Peripheral Driver » HAL Driver » SPI » Structures » SPI Configuration

SPI init Structure definition. More...

`#include <gr55xx_hal_spi.h>`

## Public Attributes
uint32_t | data_size
| Specifies the SPI data size. More...
uint32_t | clock_polarity
| Specifies the serial clock steady state. More...
uint32_t | clock_phase
| Specifies the clock active edge for the bit capture. More...
uint32_t | baudrate_prescaler
| Specifies the BaudRate prescaler value which will be used to configure the transmit and receive SCK clock. More...
uint32_t | ti_mode
| Specifies if the TI mode is enabled or not. More...
uint32_t | slave_select
| Specifies the slaves to be selected. More...

## Detailed Description

SPI init Structure definition.

Definition at line 103 of file gr55xx_hal_spi.h.

## Member Data Documentation

## ◆ baudrate_prescaler

uint32_t _spi_init::baudrate_prescaler

Specifies the BaudRate prescaler value which will be used to configure the transmit and receive SCK clock.

Note
  The communication clock is derived from the master clock. The slave clock does not need to be set.

Definition at line 114 of file gr55xx_hal_spi.h.

## ◆ clock_phase

uint32_t _spi_init::clock_phase

Specifies the clock active edge for the bit capture.

This parameter can be a value of SPI Clock Phase

Definition at line 111 of file gr55xx_hal_spi.h.

## ◆ clock_polarity

uint32_t _spi_init::clock_polarity

Specifies the serial clock steady state.

This parameter can be a value of SPI Clock Polarity

Definition at line 108 of file gr55xx_hal_spi.h.

## ◆ data_size

uint32_t _spi_init::data_size

Specifies the SPI data size.

This parameter can be a value of SPI Data Size

Definition at line 105 of file gr55xx_hal_spi.h.

## ◆ slave_select

uint32_t _spi_init::slave_select

Specifies the slaves to be selected.

This parameter can be a value of SPI Slave Select

Definition at line 122 of file gr55xx_hal_spi.h.

## ◆ ti_mode

uint32_t _spi_init::ti_mode

Specifies if the TI mode is enabled or not.

This parameter can be a value of SPI TI Mode

Definition at line 119 of file gr55xx_hal_spi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_spi.h